8086:4232 Networking stops working after resume in 12.04

Bug #996205 reported by Tim on 2012-05-07
70
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Ubuntu 12.04 on an Acer Aspire 1810t with an Intel 5100 AGN wifi card (that performed flawlessly on Ubuntu 10.04) and an Atheros AR8131 Gigabit Ethernet card. Wireless works as expected at first, and connections can be configured with Network Manager without any problem, including a WPA2-Personal home network, but after some time (usually a number of hours, almost always after a suspend-to-ram or hibernate) the wireless connection drops and is unable to reconnect. After reboot, the wireless works at first, then the process repeats itself.

Diagnostics:

** $ uname -a **

Linux ubuntubox 3.4.0-030400rc5-generic #201205011817 SMP Tue May 1 22:18:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

(note: the problem is the same when running the stock 3.2.0 kernel)

** $ dmesg ** (at the time the connection drops)

[54671.300096] wlan0: authenticate with 00:24:7b:6d:32:62 (try 1)
[54671.301874] wlan0: authenticated
[54671.304312] wlan0: associate with 00:24:7b:6d:32:62 (try 1)
[54671.308760] wlan0: RX ReassocResp from 00:24:7b:6d:32:62 (capab=0x411 status=0 aid=3)
[54671.308766] wlan0: associated
[54681.808039] wlan0: no IPv6 routers present
[54692.009142] wlan0: deauthenticating from 00:24:7b:6d:32:62 by local choice (reason=3)

** $ cat /etc/network/interfaces **

auto lo
iface lo inet loopback

** $ sudo rfkill list all **

2: phy0: Wireless LAN
Soft blocked: no
Hard blocked: no
7: acer-wireless: Wireless LAN
Soft blocked: no
Hard blocked: no
8: acer-bluetooth: Bluetooth
Soft blocked: yes
Hard blocked: no

What I've Tried so far
-----

* cannot connect to Open APs or WPA2 APs - when the wifi stops working, I cannot connect to any access points, even Open ones.
* once the network problems start, plugging in a USB WiFi adapter w/ Atheros chipset results in the same problem with both cards. This USB device is known to work with Ubuntu "out of the box", suggesting it is not an iwlwifi driver problem.
* disabling "N" mode in iwlifi does not work: "options iwlwifi 11n_disable=1" in /etc/modprobe.d/disable11n.conf
* no option to use ndiswrapper for this wifi card (which is probably a good thing!)
* unloading iwlwifi before suspend does not work: adding 'SUSPEND_MODULES="$SUSPEND_MODULES iwlwifi"' in /etc/pm/config.d/unload_modules
* switching to kernel 2.6.39 (with iwlagn driver), 3.3.0, 3.4.0rc5 does not work
* removing the acer_wmi module (sudo rmmod acer_wmi) does not work, and disables bluetooth
* "sudo /etc/init.d/networking restart" does not work
* "sudo stop network-manager && sudo start network-manager" does not work
* "sudo rmmod iwlwifi && sudo modprobe iwlwifi" does not work
* deleting the connection in Network Manager and recreating it from scratch does not work
* leaving the laptop on without suspending, hibernating or rebooting results in the wireless eventually disconnecting and being unable to reconnect.

WORKAROUND: Unusually high numbers of packets on the eth0 interface suggest it is the problem. Reloading the ethernet driver fixes all the networking problems for both ethernet and wifi:

$ sudo rmmod atl1c
$ sudo modprobe atl1c

Editing /etc/pm/config.d/unload_modules and adding

SUSPEND_MODULES="$SUSPEND_MODULES atl1c"

fixes the problem with eth0 crashing networking after resume.

---
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
DistroRelease: Ubuntu 12.04
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-meta
Tags: precise precise
Uname: Linux 3.4.0-030400rc6-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: user 1941 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4500000 irq 45'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:10ec0269,1025029b,00100004 HDA:80862802,80860101,00100000'
   Controls : 28
   Simple ctrls : 12
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=eef198b5-6e0c-45a8-ac0b-cfd32f42e5b3
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Acer Aspire 1810T
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic root=UUID=4bdab93a-334c-4096-aa76-2b2c3db05118 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic N/A
 linux-backports-modules-3.2.0-24-generic N/A
 linux-firmware 1.79
SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin netdev plugdev sambashare sudo
dmi.bios.date: 09/24/2009
dmi.bios.vendor: INSYDE
dmi.bios.version: v1.3303
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Base Board Product Name
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnINSYDE:bvrv1.3303:bd09/24/2009:svnAcer:pnAspire1810T:pvrv1.3303:rvnAcer:rnBaseBoardProductName:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: Aspire 1810T
dmi.product.version: v1.3303
dmi.sys.vendor: Acer

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/996205/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Tim (cyboreal) on 2012-05-09
description: updated

Tim, thank you for reporting this and helping make Ubuntu better. Please execute the following command, as it will automatically gather debugging information, in a terminal:
apport-collect 996205
When reporting bugs in the future please use apport by using 'ubuntu-bug' and the name of the package affected. You can learn more about this functionality at https://wiki.ubuntu.com/ReportingBugs.

As well, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.

Please let us know your results. Thanks in advance.

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: needs-bisect needs-upstream-testing regression-release
removed: 12.04 iwlwifi network-manager networking wifi wireless
Tim (cyboreal) wrote :

I have not been able to track down which package contains the bug, but it appears to be a very low-level problem, possibly in the kernel or somewhere in Ubuntu's networking stack. I did not have this problem on Mint 12 which I had installed immediately prior to Ubuntu 12.04.

I will run apport after I've rebooted back into Ubuntu 12.04's stock kernel. I'm using the mainline one at the moment and apport does not seem to like it:

Linux localhost 3.4.0-030400rc6-generic #201205061835 SMP Sun May 6 22:36:08 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

tags: added: apport-collected precise
description: updated
Tim (cyboreal) wrote : AcpiTables.txt

apport information

description: updated

apport information

apport information

Tim (cyboreal) wrote : BootDmesg.txt

apport information

Tim (cyboreal) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

Tim (cyboreal) wrote : IwConfig.txt

apport information

Tim (cyboreal) wrote : Lspci.txt

apport information

Tim (cyboreal) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

Tim (cyboreal) wrote : PulseList.txt

apport information

Tim (cyboreal) wrote : RfKill.txt

apport information

Tim (cyboreal) wrote : UdevDb.txt

apport information

Tim (cyboreal) wrote : UdevLog.txt

apport information

apport information

Tim, the next step is to bisect the kernel in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

description: updated
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Tim (cyboreal) wrote :

How certain are you that this is a kernel problem? I am installing the last known working Ubuntu kernel (2.6.32.38) to see if I can recreate the bug. If the bug still exists (and I'll be pleasantly surprised if it doesn't), would that not suggest that the problem is outside of the kernel?

Tim (cyboreal) wrote :

As mentioned above, the bug still exists when I boot into 2.6.39, the latest oneiric kernel. These problems did not exist when using Mint 12 with a 3.0 kernel before installing Ubuntu 12.04.

Tim (cyboreal) wrote :

One additional point of interest. When the wireless crashes, running `ifconfig` produces this:

eth0 Link encap:Ethernet HWaddr 00:26:9e:9d:f8:d7
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:2082346173504030 errors:12494089925926065 dropped:4164700936942650 overruns:2082350468471325 frame:10411743752422035
          TX packets:2082350468471325 errors:8329401873885300 dropped:0 overruns:2082350468471325 carrier:4164700936942650
          collisions:10411752342356625 txqueuelen:1000
          RX bytes:2082346173504030 (2.0 PB) TX bytes:2082350468471325 (2.0 PB)
          Interrupt:45

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:159010 errors:0 dropped:0 overruns:0 frame:0
          TX packets:159010 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:11368725 (11.3 MB) TX bytes:11368725 (11.3 MB)

wlan0 Link encap:Ethernet HWaddr 00:22:fb:cb:37:f8
          inet6 addr: fe80::222:fbff:fecb:37f8/64 Scope:Link
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:190 errors:0 dropped:0 overruns:0 frame:0
          TX packets:132 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:38377 (38.3 KB) TX bytes:27509 (27.5 KB)

Note the bizarrely high number of packets showing on the eth0 interface, which has never been used on this laptop with Ubuntu 12.04. When wireless is working, `ifconfig` shows:

eth0 Link encap:Ethernet HWaddr 00:26:9e:9d:f8:d7
          UP BROADCAST MULTICAST MTU:1500 Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 B) TX bytes:0 (0.0 B)
          Interrupt:46

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:1079 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1079 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:104152 (104.1 KB) TX bytes:104152 (104.1 KB)

wlan0 Link encap:Ethernet HWaddr 00:22:fb:cb:37:f8
          inet addr:192.168.1.11 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::222:fbff:fecb:37f8/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:105615 errors:0 dropped:0 overruns:0 frame:0
          TX packets:58852 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:147673588 (147.6 MB) TX bytes:5854028 (5.8 MB)

Why is that?

Tim (cyboreal) wrote :

FWIW, I can confirm that the problem has to do with the iwlwifi driver. I opened up my laptop and replaced the Intel 5100 WiFi adapter with a card having an Atheros chipset and all the above problems have vanished. Things are working as expected, even after numerous suspend and resume cycles.

$ lspci
...
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Tim (cyboreal) wrote :

I take it back. The same problem happened with the Atheros wifi card, though it only happened after 8-10 suspend/resume cycles, rather than just 1. But this time, I was able to fix it without rebooting because the problem is not the wireless hardware or driver. It is the ethernet driver:

$ lspci
...
01:00.0 Ethernet controller: Atheros Communications Inc. AR8131 Gigabit Ethernet (rev c0)

As mentioned in a previous post, something is not working as expected with the eth0 interface, resulting in quadrillions of errant packets after a resume from suspend-to-ram. So simply reloading the ethernet driver fixes all the networking problems for both ethernet and wifi:

$ sudo rmmod atl1c
$ sudo modprobe atl1c

I've edited /etc/pm/config.d/unload_modules and added

SUSPEND_MODULES="$SUSPEND_MODULES atl1c"

to see if this fixes the problem. And no, I do not intend to reinstall the Intel 5100 card to see if it works there too.

Changed in linux (Ubuntu):
importance: Undecided → Medium
Tim (cyboreal) on 2012-05-17
summary: - Wireless stops working
+ Networking stops working after resume in 12.04
description: updated
Tim (cyboreal) on 2012-05-17
description: updated

My wireless also not working on my HP Probook with Intel 5.

Some aaditional info:

from dmesg:
.....
[ 22.418310] Intel(R) Wireless WiFi Link AGN driver for Linux, in-tree:
[ 22.418313] Copyright(c) 2003-2011 Intel Corporation
[ 22.418369] iwlwifi 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 22.418379] iwlwifi 0000:03:00.0: setting latency timer to 64
[ 22.418398] iwlwifi 0000:03:00.0: pci_resource_len = 0x00002000
[ 22.418401] iwlwifi 0000:03:00.0: pci_resource_base = f8198000
[ 22.418403] iwlwifi 0000:03:00.0: HW Revision ID = 0x0
[ 22.418487] iwlwifi 0000:03:00.0: irq 50 for MSI/MSI-X
[ 22.418524] iwlwifi 0000:03:00.0: Detected Intel(R) WiFi Link 5100 ABG, REV=0x54
[ 22.418584] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S
[ 22.437822] iwlwifi 0000:03:00.0: device EEPROM VER=0x11e, CALIB=0x4
[ 22.437824] iwlwifi 0000:03:00.0: Device SKU: 0Xb0
[ 22.437838] iwlwifi 0000:03:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 22.437906] iwlwifi 0000:03:00.0: RF_KILL bit toggled to disable radio.
....

and
# rfkill list
0: hp-wifi: Wireless LAN
 Soft blocked: no
 Hard blocked: yes
1: hp-bluetooth: Bluetooth
 Soft blocked: yes
 Hard blocked: yes
2: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: yes

atimonin, please execute the following via the Terminal and feel free to subscribe me to it:
ubuntu-bug linux

Thanks!

Atif Khan (atif-ijaz-khan) wrote :

I have the exact same problem on IBM Thinkpad x201 with Intel iwlwifi driver using open wireless N access point. It usually takes one resume cycle for the bug to appear. The network manager shows the wifi access point as connected. However, once this happens the laptop wireless netwroking completely stops, can't ping anything after. The only way to resilve this is to reboot the computer. Switching the wireless on/off in network manager does not help, restarting the network manager does not help.

I have also tried every kernel version (3.2.x, 3.4.x and 3.5RCx) with no success.

Atif Khan (atif-ijaz-khan) wrote :

I have also tried every kernel version (3.2.26, 3.4.x and 3.5RCx) with no success. Also it does not matter it is a vanilla kernel or a ubuntu compiled kernel.

Same problem here with a Vaio TT, Intel 5100, iwlwifi driver on Ubuntu 12.04 with all packages up-to-date.
Unable to reconnect after suspend.
In addition the network that was used before suspend disapear from the list of visible access points in NetworkManager panel widget (networks from neighbors remain visible).

Please explain what is missing for this bug report to be complete.

Thomas Hood (jdthood) on 2012-08-13
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Tim, regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/996205/comments/3 :

<"I'm using the mainline one at the moment and apport does not seem to like it:

Linux localhost 3.4.0-030400rc6-generic #201205061835 SMP Sun May 6 22:36:08 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux"

Did this mainline kernel demonstrate the bug?

Regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/996205/comments/26 :

>"I am installing the last known working Ubuntu kernel (2.6.32.38) to see if I can recreate the bug."

When you install this kernel specifically, is the bug reproducible?

summary: - Networking stops working after resume in 12.04
+ 8086:4232 Networking stops working after resume in 12.04
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: resume suspend
Marcus (marcus-liljedahl) wrote :

Same problem here. Acer Aspire 4810TG. Intel WiFi Link 5100 AGN, Atheros Communications Inc. AR8131 Gigabit Ethernet.

After resume WiFi is dead and I can solve it by doing rmmod/modprobe as described above. Running ifconfig also shows alot af TX and RX bytes/packets on ethernet interface.

Pressing the WiFi kill button on the front panel can trigger the same problem.

Anmar Oueja (anmar) wrote :

Why is this bug marked as "incomplete" . This is a real problem that continues to happen to me on my x201 running 12.04. The only way around fixing it is

1. unload and reload the iwlwifi kernel module
2. reboot the machine
3. turn the wifi switch off for 30 seconds (so the kernel module gets unloaded) and turn it back on again.

This is obviously a bug in the kernel and not the driver since it happens to Atheros drivers as well.

Bug doesn't happen in the 12.10 Beta 1 release of Ubuntu. Please fix since 12.04 is LTS

Václav Šmilauer (eudoxos) wrote :

I am experiencing similar problem with 8086:4239 ("Intel Corporation Centrino Advanced-N 6200 (rev 35)"). After resume (only with some APs, though), connection is established, but no packet goes through. I disable wireless in nm-applet, then re-enable; after the next connect, everything works. Is it the same problem?

Anmar Oueja / Václav Šmilauer, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_Reporting_Etiquette

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Helpful Bug Reporting Links:
https://help.ubuntu.com/community/ReportingBugs#A3._Make_sure_the_bug_hasn.27t_already_been_reported
https://help.ubuntu.com/community/ReportingBugs#Adding_Apport_Debug_Information_to_an_Existing_Launchpad_Bug
https://help.ubuntu.com/community/ReportingBugs#Adding_Additional_Attachments_to_an_Existing_Launchpad_Bug

hero1900 (hero1900) wrote :

same issue but also cannot connect to any security enabled network on some specific routers

Petr Šídlo (sidlo64) wrote :

I have same problem

           *-network
                description: Wireless interface
                product: PRO/Wireless 3945ABG [Golan] Network Connection
                vendor: Intel Corporation
                physical id: 0
                bus info: pci@0000:06:00.0
                logical name: wlan0
                version: 02
                serial: 00:1c:bf:c5:81:46
                width: 32 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=iwl3945 driverversion=3.2.0-31-generic firmware=15.32.2.9 ip=192.168.1.194 latency=0 link=yes multicast=yes wireless=IEEE 802.11abg
                resources: irq:46 memory:fa000000-fa000fff

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
lowey71 (milo-loweys) wrote :

Stumbled across this thread myself whilst trying to resolve my suspend issue on a HP DV6
Maybe this might work, as it did for me:

$sudo gedit /etc/modprobe.d/iwlwifi.conf

Add a single line:

options iwlwifi bt_coex_active=N

Reference:

http://ubuntuforums.org/showthread.php?p=12342944

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers